$(document).ready(function() {
  check_form();
  $("body").mousemove( function()  { check_form(); });
  $("form").keyup( function()    { check_form(); });

  $("#maintable")
    .tablesorter({widthFixed: true, widgets: ['zebra']})
    .tablesorterPager({container: $("#pager")});
});

function check_form() {
  check_cik();
  check_sic();
}

function check_cik() {
  var s = $("#input-cik input:eq(0)").val()
        + $("#input-cik input:eq(1)").val()
        + $("#input-cik input:eq(2)").val();
  if (s == "") {
    $("#input-cik :submit").attr("disabled","true");
  } else {
    $("#input-cik :submit").removeAttr("disabled");
  }
}

function check_sic() {
  var s = $("#input-sic input:eq(0)").val()
        + $("#input-sic input:eq(1)").val();
  if (s == "") {
    $("#input-sic :submit").attr("disabled","true");
  } else {
    $("#input-sic :submit").removeAttr("disabled");
  }
}